<ng-container *appVar="(hasErrors$ | async) as hasErrors">
  <ng-container *appVar="(isLoading$ | async) as isLoading">
    <ng-container *appVar="(account$ | async) as account">
      <ng-container *appVar="(title$ | async) as title">
        <app-page [title]="title"
                  [showBackButton]="true"
                  (backButtonClicked)="handleBackButtonClick()"
        >
          <app-account-balance-info *ngIf="account"
                                    [account]="account">
          </app-account-balance-info>

          <mat-error *ngIf="hasErrors"
                     class=" m-t-24"
          >
            Не удалось совершить операцию
          </mat-error>

          <form [formGroup]="form"
                (ngSubmit)="handleFormSubmit()"
                class="form m-t-24">
            <mat-form-field>
              <mat-label>Количество</mat-label>

              <input matInput
                     [formControl]="form.controls.amount"
                     type="text"
                     placeholder="Введите сумму для пополнения">

              <mat-error *ngIf="form.controls.amount.hasError('required') && form.controls.amount.touched">
                Значение не указано
              </mat-error>

              <mat-error *ngIf="form.controls.amount.hasError('min') && form.controls.amount.touched">
                Невозможно совершить операцию с таким количеством валюты
              </mat-error>
            </mat-form-field>

            <button type="submit"
                    mat-flat-button
                    [disabled]="isLoading"
                    color="primary"
                    class="fancy-button"
            >
            <span class="sub-title">
              {{ buttonTitle$ | async }}
            </span>
            </button>
          </form>
        </app-page>
      </ng-container>
    </ng-container>
  </ng-container>
</ng-container>
